// This file should be exactly like in the server.

use serde::{Deserialize, Serialize};

pub const UDP_PACKET_MAX_SIZE: u16 = 1430;

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

#[derive(Serialize, Deserialize)]
pub enum ClientUdpMessage {
    Connect { username: String },
    PingCheck,
    VoiceMessage { samples: Vec<i16> },
}

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------

#[derive(Serialize, Deserialize)]
pub enum ServerUdpMessage {
    PingCheck,
    UserPing { username: String, ping_ms: u16 }, // ping check result
    VoiceMessage { username: String, samples: Vec<i16> },
}

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
